Name:           strawberry
Version:        1.2.11
%if 0%{?suse_version}
Release:        2.38.ga5f94b60.lp156
%else
Release:        2.38.ga5f94b60%{?dist}
%endif
Summary:        A music player and music collection organizer
Group:          Productivity/Multimedia/Sound/Players
License:        GPL-3.0+
URL:            https://www.strawberrymusicplayer.org/
Source0:        %{name}-1.2.11.38.ga5f94b60.tar.xz

%if 0%{?suse_version}
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  make
BuildRequires:  git
BuildRequires:  desktop-file-utils
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
BuildRequires:  appstream-glib
%endif
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos}
BuildRequires:  libappstream-glib
%endif
%if 0%{?mageia} || "%{?_vendor}" == "openmandriva"
BuildRequires:  appstream-util
%endif
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(sqlite3) >= 3.9
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(libchromaprint)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(libmtp)
BuildRequires:  pkgconfig(libsparsehash)
BuildRequires:  cmake(GTest)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  cmake(RapidJSON)

%if 0%{?fedora} || (0%{?suse_version} && 0%{?suse_version} > 1600) || "%{?_vendor}" == "openmandriva"
BuildRequires:  cmake(KDSingleApplication-qt6)
%endif

%if 0%{?suse_version}
Requires:  qt6-sql-sqlite
Requires:  qt6-network-tls
%endif

%description
Strawberry is a music player and music collection organizer.
It is a fork of Clementine. The name is inspired by the band Strawbs.

Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg FLAC, Ogg Vorbis, Ogg Opus, Ogg Speex,
    MPC, TrueAudio, AIFF, MP4, MP3, ASF and Monkey's Audio.
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio output and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer, Tidal, Qobuz and Spotify
  - Song lyrics from Musixmatch, ChartLyrics, lyrics.ovh, lololyrics.com, songlyrics.com, azlyrics.com and elyrics.net
  - Support for multiple backends
  - Audio analyzer
  - Audio equalizer
  - Scrobbler with support for Last.fm, Libre.fm and ListenBrainz
  - Transfer music to mass-storage USB players, MTP compatible devices and iPod Nano/Classic
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz

%if 0%{?suse_version} && 0%{?suse_version} <= 1600
%debug_package
%endif

%prep
%setup -qn %{name}-1.2.11.38.ga5f94b60

%build
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos}
  export CXXFLAGS="-fPIC -Wno-maybe-uninitialized $RPM_OPT_FLAGS"
%endif
%if "%{?_vendor}" == "openmandriva"
%{cmake} -DBUILD_WERROR=ON
%make_build
%else
%{cmake} -DBUILD_WERROR=ON
%cmake_build
%endif

%install
%if "%{?_vendor}" == "openmandriva"
%make_install -C build
%else
%cmake_install
%endif

%check
export QT_QPA_PLATFORM="offscreen"
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos}
%{cmake_build} -t strawberry_tests
%else
%{make_build} -j $(nproc) -C build strawberry_tests
%endif
desktop-file-validate %{buildroot}%{_datadir}/applications/org.strawberrymusicplayer.strawberry.desktop
%if 0%{?suse_version}
  appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.strawberrymusicplayer.strawberry.appdata.xml
%else
  appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.strawberrymusicplayer.strawberry.appdata.xml
%endif

%files
%defattr(-,root,root,-)
%doc README.md Changelog
%license COPYING
%{_bindir}/strawberry
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/strawberry.*
%{_mandir}/man1/%{name}.1.*
%if 0%{?suse_version}
%{_datadir}/metainfo/*.appdata.xml
%else
%{_metainfodir}/*.appdata.xml
%endif

%changelog
* Mon Jun 30 2025 Jonas Kvinge <jonas@jkvinge.net> - 1.2.11
- Version 1.2.11.38.ga5f94b60
